﻿$CurrentDirectory=[System.IO.Path]::GetDirectoryName($MyInvocation.MyCommand.Definition)
$FilePath=Join-Path $CurrentDirectory "ComputerInfo.dat"


$KioskInfo=Get-WmiObject -Class Outerwall_Kiosk
$DisplayModel=$KioskInfo.Model
$DeploymentTimestamp=([System.Management.ManagementDateTimeConverter]::ToDateTime($KioskInfo.DeploymentTimestamp)).ToShortDateString()
if($KioskInfo.Manufacturer -eq "LENOVO")
{
    $DisplayModel=$KioskInfo.ProductVersion
}

"$($KioskInfo.Manufacturer) $DisplayModel"|Out-File -FilePath $FilePath
"Image Version - $($KioskInfo.ImageVersion)"|Out-File -FilePath $FilePath -Append
"`n"|Out-File -FilePath $FilePath -Append
"Created By:"|Out-File -FilePath $FilePath -Append
"$($KioskInfo.ImageContact)"|Out-File -FilePath $FilePath -Append
"$DeploymentTimestamp"|Out-File -FilePath $FilePath -Append

Write-Host "Verify Computer Name"
Start-Process -FilePath "C:\Windows\System32\notepad.exe" -ArgumentList $FilePath -Wait
Write-Host "Verify Hibernation"
Start-Process -FilePath "C:\Windows\System32\powercfg.cpl" -Wait
Write-Host "Verify Date & Time"
Start-Process -FilePath "C:\Windows\System32\timedate.cpl" -Wait
Write-Host "Verify Device Manager"
Start-Process -FilePath "C:\Windows\System32\devmgmt.msc" -Wait